Debian Bug report logs - #442568
glibc: floor() is giving incorrect results on alpha architecture

version graph

Package: glibc; Maintainer for glibc is (unknown);

Reported by: Kamaraju Kusumanchi <kamaraju@gmail.com>

Date: Sun, 16 Sep 2007 15:21:01 UTC

Severity: important

Tags: help

Fixed in versions glibc/2.7-0exp9, glibc/2.7-1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kamaraju@gmail.com, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#442568; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Kamaraju Kusumanchi <kamaraju@gmail.com>:
New Bug report received and forwarded. Copy sent to kamaraju@gmail.com, GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kamaraju Kusumanchi <kamaraju@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: glibc: floor() is giving incorrect results on alpha architecture
Date: Sun, 16 Sep 2007 11:23:01 -0400
Package: glibc
Severity: normal

Consider the following code

$cat double_comparison.c
#include <assert.h>
#include <float.h>
#include <math.h>
#include <stdio.h>

int main() {
  double x;

  printf("%s%d\n", "DBL_MANT_DIG = ", DBL_MANT_DIG);
  x = ldexp (1.0, DBL_MANT_DIG) - 1.0;
  printf("%lf %lf\n", x, floor(x));
  assert(x == floor(x));    /* does not seem to work in alpha */
  return 0;
}

On i386 machine
$gcc -Wall double_comparison.c -lm

$./a.out
DBL_MANT_DIG = 53
9007199254740991.000000 9007199254740991.000000

However the assertion fails on alpha architecture because the value is
9007199254740991.000000 and the floor gives 9007199254740990.000000

This behaviour makes guile-1.8 (version 1.8.2+1-2) FTBFS on alpha architecture.
The corresponding build log can be found at
http://buildd.debian.org/fetch.cgi?&pkg=guile-1.8&ver=1.8.2%2B1-2&arch=alpha&stamp=1188100514&file=log

>From guile-1.8-1.8.2+1/test-suite/standalone/test-round.c the lines where the
guile-1.8 build fails is 

      /* 2^DBL_MANT_DIG-1
         In the past scm_c_round had incorrectly incremented this value, due
         to the way that x+0.5 would round upwards (in the usual default
         nearest-even mode on most systems).  */
      x = ldexp (1.0, DBL_MANT_DIG) - 1.0;
      assert (x == floor (x));      /* should be an integer already */
      assert (scm_c_round (x) == x);  /* scm_c_round should return it unchanged */

Initially I asked about this problem on debian-devel. Steve Langasek mentioned
that this is a bug in glibc. So I am filing it here. The discussion can be
found at http://lists.debian.org/debian-devel/2007/09/msg00536.html

PS: the double_comparison.c test case is written by me and has not been tested
on alpha. Please change it accordingly if there are any problems with it.


thanks
raju

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#442568; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Alexander Kotelnikov <sacha@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 442568@bugs.debian.org (full text, mbox):

From: Alexander Kotelnikov <sacha@debian.org>
Cc: 442568@bugs.debian.org
Subject: Re: glibc: floor() is giving incorrect results on alpha architecture
Date: Sat, 06 Oct 2007 10:15:28 +0400
The following message is a courtesy copy of an article
that has been posted to gmane.linux.debian.ports.alpha as well.

Hi.

0:14 pts/10 sacha@vinci:/tmp 5> cat dblc.c 
#include <assert.h>
#include <float.h>
#include <math.h>
#include <stdio.h>

int main() {
  double x;

  printf("%s%d\n", "DBL_MANT_DIG = ", DBL_MANT_DIG);
  x = ldexp (1.0, DBL_MANT_DIG) - 1.0;
  printf("%lf %lf\n", x, floor(x));
  assert(x == floor(x));    /* does not seem to work in alpha */
  return 0;
}
10:14 pts/10 sacha@vinci:/tmp 6> gcc -Wall -lm -o dblc dblc.c 
10:14 pts/10 sacha@vinci:/tmp 7> ./dblc 
DBL_MANT_DIG = 53
9007199254740991.000000 9007199254740991.000000
10:14 pts/10 sacha@vinci:/tmp 8> uname -a
Linux vinci 2.6.23-rc8-rt2x00-gc31d1777-dirty #1 Wed Oct 3 11:44:23 MSD 2007 alpha GNU/Linux

>>>>> On Fri, 05 Oct 2007 20:31:45 -0400
>>>>> "KSK" == Kamaraju S Kusumanchi <kamaraju@bluebottle.com> wrote:
KSK> 
KSK> I have filed this as
KSK> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=442568 . But there is no
KSK> response from the maintainer even after 20 days. I don't have access to an
KSK> alpha machine to look more into the problem. This bug makes guile-1.8 FTBFS
KSK> on alpha. So it would be great if someone can take a stab at it.
KSK> 
KSK> thanks
KSK> raju
KSK> 
KSK> -- 
KSK> Kamaraju S Kusumanchi
KSK> http://www.people.cornell.edu/pages/kk288/
KSK> http://malayamaarutham.blogspot.com/
KSK> 
-- 
Alexander Kotelnikov
Saint-Petersburg, Russia




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#442568; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Alexander Kotelnikov <sacha@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 442568@bugs.debian.org (full text, mbox):

From: Alexander Kotelnikov <sacha@debian.org>
To: 442568@bugs.debian.org
Subject: Re: glibc: floor() is giving incorrect results on alpha architecture
Date: Sat, 06 Oct 2007 10:21:57 +0400
Hi.

0:14 pts/10 sacha@vinci:/tmp 5> cat dblc.c 
#include <assert.h>
#include <float.h>
#include <math.h>
#include <stdio.h>

int main() {
  double x;

  printf("%s%d\n", "DBL_MANT_DIG = ", DBL_MANT_DIG);
  x = ldexp (1.0, DBL_MANT_DIG) - 1.0;
  printf("%lf %lf\n", x, floor(x));
  assert(x == floor(x));    /* does not seem to work in alpha */
  return 0;
}
10:14 pts/10 sacha@vinci:/tmp 6> gcc -Wall -lm -o dblc dblc.c 
10:14 pts/10 sacha@vinci:/tmp 7> ./dblc 
DBL_MANT_DIG = 53
9007199254740991.000000 9007199254740991.000000
10:14 pts/10 sacha@vinci:/tmp 8> uname -a
Linux vinci 2.6.23-rc8-rt2x00-gc31d1777-dirty #1 Wed Oct 3 11:44:23 MSD 2007 alpha GNU/Linux

>>>>> On Fri, 05 Oct 2007 20:31:45 -0400
>>>>> "KSK" == Kamaraju S Kusumanchi <kamaraju@bluebottle.com> wrote:
KSK> 
KSK> I have filed this as
KSK> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=442568 . But there is no
KSK> response from the maintainer even after 20 days. I don't have access to an
KSK> alpha machine to look more into the problem. This bug makes guile-1.8 FTBFS
KSK> on alpha. So it would be great if someone can take a stab at it.
KSK> 
KSK> thanks
KSK> raju
KSK> 
KSK> -- 
KSK> Kamaraju S Kusumanchi
KSK> http://www.people.cornell.edu/pages/kk288/
KSK> http://malayamaarutham.blogspot.com/
KSK> 
-- 
Alexander Kotelnikov
Saint-Petersburg, Russia




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#442568; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Alexander Kotelnikov <sacha@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 442568@bugs.debian.org (full text, mbox):

From: Alexander Kotelnikov <sacha@debian.org>
To: 442568@bugs.debian.org
Subject: mldonkey 2.9.1 with ocaml 3.10 on alpha
Date: Sun, 07 Oct 2007 14:44:24 +0400
Hi.

The result of mldonkey build with ocaml from unstable is pretty
surprising:
12:47 pts/1 sacha@vinci:~ 14> mlnet   
Fatal error: exception Invalid_argument("Unix.write")
zsh: exit 2     mlnet

Build with ocaml 3.9 just segfaulted, I do not know what is better...
-- 
Alexander Kotelnikov
Saint-Petersburg, Russia




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#442568; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Craig Prescott <cpp@ekkaia.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 442568@bugs.debian.org (full text, mbox):

From: Craig Prescott <cpp@ekkaia.net>
To: 442568@bugs.debian.org
Subject: Re: glibc: floor() is giving incorrect results on alpha architecture
Date: Sun, 28 Oct 2007 00:17:46 -0400
Here's how my old EV45 runs your test code with
math_emu loaded:

imladris:~# ./floortest
DBL_MANT_DIG = 53
9007199254740991.000000 9007199254740991.000000

And here is without:

imladris:~# rmmod math_emu
imladris:~# ./floortest
DBL_MANT_DIG = 53
9007199254740991.000000 0.000000
floortest: floortest.c:12: main: Assertion `x == floor(x)' failed.
Aborted

This machine is not exactly up to date, but:

imladris:~# uname -a
Linux imladris 2.6.18-3-alpha-generic #1 Mon Dec 4 16:04:14 UTC 2006 
alpha GNU/Linux

This thread from back in February is probably of interest:

http://lists.debian.org/debian-alpha/2007/02/msg00016.html

At that time, it sounded like MATHEMU was going to end up
being built into alpha kernels at some point, instead of
being a module.  I guess this would solve the problem you
ran into?

Cheers,
Craig




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#442568; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 442568@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Kamaraju Kusumanchi <kamaraju@gmail.com>
Cc: 442568@bugs.debian.org
Subject: Re: glibc: floor() is giving incorrect results on alpha architecture
Date: Fri, 16 Nov 2007 17:19:18 +0100
reassign 442568 linux-2.6
severity 442568 important
merge 411813 442568
thanks

On Sun, Sep 16, 2007 at 11:23:01AM -0400, Kamaraju Kusumanchi wrote:
> Package: glibc
> Severity: normal
> 
> Consider the following code
> 
> $cat double_comparison.c
> #include <assert.h>
> #include <float.h>
> #include <math.h>
> #include <stdio.h>
> 
> int main() {
>   double x;
> 
>   printf("%s%d\n", "DBL_MANT_DIG = ", DBL_MANT_DIG);
>   x = ldexp (1.0, DBL_MANT_DIG) - 1.0;
>   printf("%lf %lf\n", x, floor(x));
>   assert(x == floor(x));    /* does not seem to work in alpha */
>   return 0;
> }
> 
> On i386 machine
> $gcc -Wall double_comparison.c -lm
> 
> $./a.out
> DBL_MANT_DIG = 53
> 9007199254740991.000000 9007199254740991.000000
> 
> However the assertion fails on alpha architecture because the value is
> 9007199254740991.000000 and the floor gives 9007199254740990.000000
> 
> This behaviour makes guile-1.8 (version 1.8.2+1-2) FTBFS on alpha architecture.
> The corresponding build log can be found at
> http://buildd.debian.org/fetch.cgi?&pkg=guile-1.8&ver=1.8.2%2B1-2&arch=alpha&stamp=1188100514&file=log
> 
> >>From guile-1.8-1.8.2+1/test-suite/standalone/test-round.c the lines where the
> guile-1.8 build fails is 
> 
>       /* 2^DBL_MANT_DIG-1
>          In the past scm_c_round had incorrectly incremented this value, due
>          to the way that x+0.5 would round upwards (in the usual default
>          nearest-even mode on most systems).  */
>       x = ldexp (1.0, DBL_MANT_DIG) - 1.0;
>       assert (x == floor (x));      /* should be an integer already */
>       assert (scm_c_round (x) == x);  /* scm_c_round should return it unchanged */
> 
> Initially I asked about this problem on debian-devel. Steve Langasek mentioned
> that this is a bug in glibc. So I am filing it here. The discussion can be
> found at http://lists.debian.org/debian-devel/2007/09/msg00536.html
> 

This is not a glibc problem but a kernel problem that has already been
solved.

EV4 to EV56 CPU are not IEEE compliant, and does not round the results
correctly. This can be fixed by enabling MATHEMU in the kernel:

config MATHEMU 
 tristate "Kernel FP software completion" if DEBUG_KERNEL && !SMP 
 default y if !DEBUG_KERNEL || SMP 
 help 
 This option is required for IEEE compliant floating point arithmetic 
 on the Alpha. The only time you would ever not say Y is to say M in 
 order to debug the code. Say Y unless you know what you are doing. 

Please upgrade your kernel to a version which has this option enabled. 

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Bug reassigned from package `glibc' to `linux-2.6'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Fri, 16 Nov 2007 16:21:05 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Fri, 16 Nov 2007 16:21:05 GMT) Full text and rfc822 format available.

Forcibly Merged 411813 442568. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Fri, 16 Nov 2007 16:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#442568; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #41 received at 442568@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 442568@bugs.debian.org
Cc: Aurelien Jarno <aurelien@aurel32.net>, Debian Kernel Team <debian-kernel@lists.debian.org>, GNU Libc Maintainers <debian-glibc@lists.debian.org>
Subject: Re: Processed (with 1 errors): Re: glibc: floor() is giving incorrect results on alpha architecture
Date: Fri, 16 Nov 2007 09:59:17 -0800
unmerge 442568
reopen 442568
reassign 442568 glibc
thanks

On Fri, Nov 16, 2007 at 04:21:06PM +0000, Debian Bug Tracking System wrote:
> > reassign 442568 linux-2.6
> Bug#442568: glibc: floor() is giving incorrect results on alpha architecture
> Bug reassigned from package `glibc' to `linux-2.6'.

> > severity 442568 important
> Bug#442568: glibc: floor() is giving incorrect results on alpha architecture
> Severity set to `important' from `normal'

> > merge 411813 442568
> Bug#411813: linux-2.6/alpha: math-emu built as a module, should be built-in
> Bug#442568: glibc: floor() is giving incorrect results on alpha architecture
> Mismatch - only Bugs in same state can be merged:
> Values for `done mark' don't match:
>  #411813 has `done';
>  #442568 has `open'

These are not the same bug.  Bug #442568 occurs even on systems that have
math-emu loaded.

If you have reason to believe this is still a kernel bug, please provide
that information so that the issue can be traced further.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/




Disconnected #442568 from all other report(s). Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Fri, 16 Nov 2007 18:00:10 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Fri, 16 Nov 2007 18:00:11 GMT) Full text and rfc822 format available.

Bug reassigned from package `linux-2.6' to `glibc'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Fri, 16 Nov 2007 18:00:12 GMT) Full text and rfc822 format available.

Tags added: help Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Fri, 16 Nov 2007 18:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#442568; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #54 received at 442568@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 442568@bugs.debian.org
Subject: more info
Date: Fri, 16 Nov 2007 10:09:24 -0800
Here is a user confirming the problem on an ev67 (the ev67 doesn't use math
emu): http://lists.debian.org/debian-alpha/2007/10/msg00016.html

Here is a report of the problem with or without math-emu loaded:
http://lists.debian.org/debian-alpha/2007/10/msg00019.html

The user who claimed it was fixed by loading math-emu wasn't getting the
same error at all without math-emu:

> imladris:~# ./floortest
> DBL_MANT_DIG = 53
> 9007199254740991.000000 0.000000
 >floortest: floortest.c:12: main: Assertion `x == floor(x)' failed.
> Aborted

Note the second value of "0.000000", indicating a total failure of the fp
operation rather than the off-by-one error described in this bug report.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/




Tags added: pending Request was from Aurelien Jarno <aurel32@alioth.debian.org> to control@bugs.debian.org. (Fri, 16 Nov 2007 22:09:02 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kamaraju Kusumanchi <kamaraju@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #61 received at 442568-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 442568-close@bugs.debian.org
Subject: Bug#442568: fixed in glibc 2.7-0exp9
Date: Wed, 21 Nov 2007 22:49:27 +0000
Source: glibc
Source-Version: 2.7-0exp9

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.7-0exp9_all.deb
  to pool/main/g/glibc/glibc-doc_2.7-0exp9_all.deb
glibc_2.7-0exp9.diff.gz
  to pool/main/g/glibc/glibc_2.7-0exp9.diff.gz
glibc_2.7-0exp9.dsc
  to pool/main/g/glibc/glibc_2.7-0exp9.dsc
libc6.1-alphaev67_2.7-0exp9_alpha.deb
  to pool/main/g/glibc/libc6.1-alphaev67_2.7-0exp9_alpha.deb
libc6.1-dbg_2.7-0exp9_alpha.deb
  to pool/main/g/glibc/libc6.1-dbg_2.7-0exp9_alpha.deb
libc6.1-dev_2.7-0exp9_alpha.deb
  to pool/main/g/glibc/libc6.1-dev_2.7-0exp9_alpha.deb
libc6.1-pic_2.7-0exp9_alpha.deb
  to pool/main/g/glibc/libc6.1-pic_2.7-0exp9_alpha.deb
libc6.1-prof_2.7-0exp9_alpha.deb
  to pool/main/g/glibc/libc6.1-prof_2.7-0exp9_alpha.deb
libc6.1-udeb_2.7-0exp9_alpha.udeb
  to pool/main/g/glibc/libc6.1-udeb_2.7-0exp9_alpha.udeb
libc6.1_2.7-0exp9_alpha.deb
  to pool/main/g/glibc/libc6.1_2.7-0exp9_alpha.deb
libnss-dns-udeb_2.7-0exp9_alpha.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.7-0exp9_alpha.udeb
libnss-files-udeb_2.7-0exp9_alpha.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.7-0exp9_alpha.udeb
locales-all_2.7-0exp9_alpha.deb
  to pool/main/g/glibc/locales-all_2.7-0exp9_alpha.deb
locales_2.7-0exp9_all.deb
  to pool/main/g/glibc/locales_2.7-0exp9_all.deb
nscd_2.7-0exp9_alpha.deb
  to pool/main/g/glibc/nscd_2.7-0exp9_alpha.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 442568@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 18 Nov 2007 22:11:35 +0100
Source: glibc
Binary: libc0.1-prof libc6.1-alphaev67 libc6-dev-amd64 locales-all libc6-i686 libc6-dev-ppc64 libc0.3-pic glibc-doc libc0.3 libc6-dev-mipsn32 libc0.1-i686 libc0.1-i386 libc6-mips64 libc6.1-dev libc6-s390x libnss-files-udeb libc0.1-dev-i386 libc6-dev-sparc64 libc6-i386 libc0.3-dev libc6-udeb libc6-dbg libc6.1-pic libc6-dev libc0.3-prof libc0.1-udeb libc6-dev-i386 libc6.1-prof libc6-mipsn32 libc0.1-dev locales libc6-pic libc0.3-udeb libc6-dev-powerpc libc0.1-pic libc6-ppc64 libc0.3-dbg libc0.1-dbg libc6-amd64 libc0.1 libc6-prof libc6-xen libc6-dev-mips64 libc6-powerpc libc6 libc6-sparcv9b libc6.1-udeb libc6.1-dbg nscd libc6-sparc64 libnss-dns-udeb libc6.1 libc6-dev-s390x
Architecture: source alpha all
Version: 2.7-0exp9
Distribution: experimental
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 libc6.1    - GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - GNU C Library: Libraries with debugging symbols
 libc6.1-dev - GNU C Library: Development Libraries and Header Files
 libc6.1-pic - GNU C Library: PIC archive library
 libc6.1-prof - GNU C Library: Profiling Libraries
 libc6.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 locales-all - GNU C Library: Precompiled locale data
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 229251 442250 442568 443460 443660 444145 444580 445631 447221 447328 447866 447928 448248 448508 448796 448928 449193 449198 451304
Changes: 
 glibc (2.7-0exp9) experimental; urgency=low
 .
   [ Clint Adams ]
   * New upstream release with linuxthreads snapshot.
     - Fixes an ABBA deadlock in ld.so.  Closes: #443460.
     - Render dgettext" thread safe.  Closes: #443660.
     - Fixes CVE-2007-4840 (multiple errors in iconv
       function).  Closes: #442250.
     - Remove localedata/locale-de_CH.diff (merged).
     - Update locale/fix-LC_COLLATE-rules.diff.
     - Update locale/LC_COLLATE-keywords-ordering.diff.
     - Update locale/fix-C-first_weekday.diff.
     - Update locale/preprocessor-collate.diff.
     - Update localedata/locales-fr.diff.
     - Remove localedata/locale-sa_IN.diff (merged).
     - Remove localedata/locale-wo_SN.diff (merged).
     - Update localedata/tailor-iso14651_t1.diff.
     - Add localedata/tailor-iso14651_t1-common.diff.
     - Remove localedata/fix-unknown-symbols.diff (merged).
     - Update localedata/first_weekday.diff.
     - Add localedata/cs_CZ-first_weekday.diff.
     - Add localedata/da_DK-first_weekday.diff.
     - Add localedata/pl_PL-first_weekday.diff.
     - Add localedata/de_DE-first_weekday.diff.
     - Add localedata/en_GB-first_weekday.diff.
     - Add localedata/en_US-first_weekday.diff.
     - Add localedata/et_EE-first_weekday.diff.
     - Add localedata/fr_BE-first_weekday.diff.
     - Add localedata/fr_CA-first_weekday.diff.
     - Add localedata/fr_CH-first_weekday.diff.
     - Add localedata/fr_FR-first_weekday.diff.
     - Add localedata/fr_LU-first_weekday.diff.
     - Add localedata/hu_HU-first_weekday.diff.
     - Add localedata/nb_NO-first_weekday.diff.
     - Add localedata/nn_NO-first_weekday.diff.
     - Add localedata/sk_SK-first_weekday.diff.
     - Add localedata/cy_GB-first_weekday.diff.
     - Update localedata/sort-UTF8-first.diff.
     - Remove localedata/submitted-as_IN.diff (merged).
     - Remove hppa/submitted-multiple-threads.diff (merged).
     - Remove hppa/submitted-ustat.diff (merged).
     - Remove hurd-i386/cvs-sigsuspend-nocancel.diff (merged).
     - Remove hurd-i386/cvs-lock-intern.diff (merged).
     - Remove sparc/local-undefined-registers.diff (obsolete).
     - Remove all/local-pt_BR.diff (merged).
     - Remove any/cvs-ld_library_path.diff (merged).
     - Remove any/cvs-initfini.diff (merged).
     - Remove any/cvs-posix-glob.diff (merged).
     - Update any/local-bashisms.diff.
     - Remove any/local-forward-backward-collation.diff (merged).
     - Remove any/local-version-sanity.diff (merged).
     - Remove any/submitted-strtok.diff (merged).
     - Remove any/submitted-regex-collate.diff (merged).
     - Remove localedata/locale-no_NO.diff (obsolete).
     - Update localedata/supported.diff.
   * Bump shlib version to 2.7-1.
   * Add localedata/cvs-locale-ig_NG.diff BZ#5224, missing collation symbols
     for ig_NG.
   * Add localedata/cvs-locale-lo_LA.diff BZ#5237, missing collation symbols
     for lo_LA.
   * Add localedata/cvs-locale-ug_CN.diff BZ#5238, missing collation symbols
     for ug_CN.
 .
   [ Aurelien Jarno ]
   * kfreebsd/local-sysdeps.diff: update to revision 2029 (from glibc-bsd).
   * any/submitted-longdouble.diff: update.
   * Improve any/submitted-rfc3484-sortv4.diff.
   * Update hurd-i386/submitted-trivial.diff.
   * any/local-strfry.diff: new patch to fix strfry(), as Ulrich Drepper
     has still not managed to commit a correct version.
   * Remove hppa/submitted-threaddb.diff (merged).
   * Update hppa/submitted-nptl-carlos.diff.
   * Update hurd-i386/submitted-libc_once.diff.
   * Remove hurd-i386/cvs-ioctl-delay.diff (merged).
   * Update hurd-i386/local-tls-support.diff.
   * Add hurd-i386/cvs-kernel-features.diff: provide almost empty
     kernel-features.h for files that include it.
   * Add arm/local-args6.diff: provide DOCARGS_6 and UNDOCARGS_5 for
     arm old-abi.
   * Add arm/local-lowlevellock.diff: new patch to fix build on arm.
   * debian/rules, debian/rules.d/build.mk: allow per architecture
     TIMEOUTFACTOR.
   * sysdeps/arm.mk, sysdeps/armel.mk, sysdeps/hppa.mk, sysdeps/s390.mk,
     sysdeps/sh4.mk: define TIMEOUTFACTOR.
   * locales-depver: tighten locales dependencies.
   * any/local-disable-test-tgmath2.diff: new patch to disable test-tgmath2,
     which take too much resources during compilation.
   * Add hurd-i386/submitted-strtoul.diff: new patch to use
     __strtoul_internal() instead of strtoul() in internal functions.
   * Add hurd-i386/submitted-ptr-mangle.diff: new patch to define PTR_MANGLE
     and PTR_DEMANGLE.
   * Update Galician debconf translation, by Jacobo Tarrio.  Closes: #447928.
   * Update Dutch debconf translation, by Bart Cornelis.  Closes: #448928.
   * Add sh4/local-fpscr_values.diff and any/local-allocalim-header.diff
     from Arthur Loiret.  Closes: #448248.
   * Fix encoding of Japanese translation.  Closes: #447221.
   * Add any/submitted-sched_h.diff: new patch to define `__CPU_ALLOC_SIZE.
   * Add mips/local-setjmp.diff: new patch to fix g++ tests on mips/mipsel.
   * Add any/local-fhs-nscd.diff: move nscd directory to /var/cache/nscd from
     /var/db/nscd.  Closes: #449198.
   * debhelper.in/nscd.postrm: remove /var/cache/nscd on purge.  Closes:
     #449193.
   * script.in/kernelcheck.sh, sysdeps/alpha.mk: bump minimum kernel version to
     2.6.9 for alpha.
   * script.in/kernelcheck.sh, sysdeps/sh4.mk: bump minimum kernel version to
     2.6.11 for sh4.
   * debian/patches/arm/local-eabi-wchar.diff: new patch from Riku Voipio to
     fiw WCHAR_MIN and WCHAR_MAX definitions on armel.  Closes: #444580.
   * debian/po/zh_CN.po: update from LI Daobing. Closes: #447866.
   * debhelper.in/locales-all.postinst: trap exit signal and remove temporary
     directory.  Closes: #447328.
   * debhelper.in/libc.NEWS: mention that the tzconfig script has been replaced
     by the maintainer scripts of tzdata.  Closes: bug#448796.
   * patches/all/local-alias-et_EE.diff: switch estonian locales alias to
     ISO-8859-15.
   * patches/alpha/submitted-fpu-round.diff: restore the old version of
     ceil/floor/rint functions.  Closes: #442568.
   * patches/alpha/local-dl-procinfo.diff: new patch to add platform
     capabilities support on alpha.
   * Add an ev67 flavour on alpha:  Closes: #229251
     - control.in/opt: add libc6-alphaev67 packages.
     - sysdeps/alpha.mk: add a new pass for ev67 flavour.
   * debian/local/manpages/iconv.1: document //translit and //ignore
     options.  Closes: #451304.
   * debian/local/manpages/getent.1: document exit codes.  Closes:
     #445631.
   * debian/local/manpages/ld.so.8: document $ORIGIN, $PLATFORM and $LIB
     features.  Closes: #444145.
 .
   [ Petr Salinger]
   * any/local-linuxthreads-unwind.diff: provide unwind-resume routine for
     linuxthreads.
   * any/local-stdio-lock.diff: make _IO_*_lock linuxthreads compliant.
   * any/local-o_cloexec.diff: don't assume O_CLOEXEC is always defined.
   * any/local-linuxthreads-signals.diff: always use non-RT signal handler
     on GNU/kFreeBSD.
 .
   [ Pierre Habouzit ]
   * Remove any/local-iconv-fix-trampoline.diff (obsolete).
   * Remove any/submitted-strfry.diff (merged).
   * Update any/submitted-rfc3484-sortv4.diff.
   * Update localedata/*first_weekday.diff.
   * Remove localedata/fix-am_ET.diff (obsolete).
   * Add locale/preprocessor-collate-uli-sucks.diff to revert Ulrich's
     preprocessor that isn't enough for Debian.
   * Update patches/locale/preprocessor-collate.diff.
   * Add alpha/submitted-PTR_MANGLE.diff (Closes: #448508).
 .
   [ Samuel Thibault ]
   * hurd-i386/submitted-ptr-mangle.diff: Define PTR_MANGLE for assembly.
Files: 
 a5d06d459ece744e00abf72a7579f74e 2080 libs required glibc_2.7-0exp9.dsc
 c186e9194eff62ed85ec0e80332482dd 673154 libs required glibc_2.7-0exp9.diff.gz
 1b95e62c7af7ed5a9345539eef4f0da5 1622848 doc optional glibc-doc_2.7-0exp9_all.deb
 f9777e15307ae0344425722a374dece7 4487518 libs standard locales_2.7-0exp9_all.deb
 32da6d4e7e90048b137e82c0d1e33082 5175550 libs required libc6.1_2.7-0exp9_alpha.deb
 29a8f03cde9c51b88dbcade690585267 3022538 libdevel optional libc6.1-dev_2.7-0exp9_alpha.deb
 2f51e60ad3b1e390f14cd118ff6e9b12 2482288 libdevel extra libc6.1-prof_2.7-0exp9_alpha.deb
 f0e957a3c165e1ac8cb90ac6176ae348 1760284 libdevel optional libc6.1-pic_2.7-0exp9_alpha.deb
 6d295999145edacfd67b86f57d3a41a5 2774844 libs extra locales-all_2.7-0exp9_alpha.deb
 453ebad41012dcdda888416b058b6b14 1556180 libs extra libc6.1-alphaev67_2.7-0exp9_alpha.deb
 daca2587e27785ef471feb7921e072ce 169898 admin optional nscd_2.7-0exp9_alpha.deb
 7a3d73b4e5b98d651630b4be0b810796 5618922 libdevel extra libc6.1-dbg_2.7-0exp9_alpha.deb
 4bde0e314bf397b7c5ac46d9d380491f 1263398 debian-installer extra libc6.1-udeb_2.7-0exp9_alpha.udeb
 7caa00e624a592f6f439e446bd5aae96 10614 debian-installer extra libnss-dns-udeb_2.7-0exp9_alpha.udeb
 cc9b7cb8b9bc15a0953779757600e7dd 18302 debian-installer extra libnss-files-udeb_2.7-0exp9_alpha.udeb
Package-Type: udeb


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHQq/ow3ao2vG823MRAuerAJ9JWqwMkTruoZCHgD9JgLJDmoELUQCdEj7l
68qBhUVmQhBTzYhPaV/Urp8=
=w1Ms
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kamaraju Kusumanchi <kamaraju@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #66 received at 442568-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 442568-close@bugs.debian.org
Subject: Bug#442568: fixed in glibc 2.7-1
Date: Fri, 23 Nov 2007 19:32:05 +0000
Source: glibc
Source-Version: 2.7-1

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.7-1_all.deb
  to pool/main/g/glibc/glibc-doc_2.7-1_all.deb
glibc_2.7-1.diff.gz
  to pool/main/g/glibc/glibc_2.7-1.diff.gz
glibc_2.7-1.dsc
  to pool/main/g/glibc/glibc_2.7-1.dsc
libc6-dbg_2.7-1_amd64.deb
  to pool/main/g/glibc/libc6-dbg_2.7-1_amd64.deb
libc6-dev-i386_2.7-1_amd64.deb
  to pool/main/g/glibc/libc6-dev-i386_2.7-1_amd64.deb
libc6-dev_2.7-1_amd64.deb
  to pool/main/g/glibc/libc6-dev_2.7-1_amd64.deb
libc6-i386_2.7-1_amd64.deb
  to pool/main/g/glibc/libc6-i386_2.7-1_amd64.deb
libc6-pic_2.7-1_amd64.deb
  to pool/main/g/glibc/libc6-pic_2.7-1_amd64.deb
libc6-prof_2.7-1_amd64.deb
  to pool/main/g/glibc/libc6-prof_2.7-1_amd64.deb
libc6-udeb_2.7-1_amd64.udeb
  to pool/main/g/glibc/libc6-udeb_2.7-1_amd64.udeb
libc6_2.7-1_amd64.deb
  to pool/main/g/glibc/libc6_2.7-1_amd64.deb
libnss-dns-udeb_2.7-1_amd64.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.7-1_amd64.udeb
libnss-files-udeb_2.7-1_amd64.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.7-1_amd64.udeb
locales-all_2.7-1_amd64.deb
  to pool/main/g/glibc/locales-all_2.7-1_amd64.deb
locales_2.7-1_all.deb
  to pool/main/g/glibc/locales_2.7-1_all.deb
nscd_2.7-1_amd64.deb
  to pool/main/g/glibc/nscd_2.7-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 442568@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 23 Nov 2007 10:46:24 +0100
Source: glibc
Binary: libc0.1-prof libc6.1-alphaev67 libc6-dev-amd64 locales-all libc6-i686 libc6-dev-ppc64 libc0.3-pic glibc-doc libc0.3 libc6-dev-mipsn32 libc0.1-i686 libc0.1-i386 libc6-mips64 libc6.1-dev libc6-s390x libnss-files-udeb libc0.1-dev-i386 libc6-dev-sparc64 libc6-i386 libc0.3-dev libc6-udeb libc6-dbg libc6.1-pic libc6-dev libc0.3-prof libc0.1-udeb libc6-dev-i386 libc6.1-prof libc6-mipsn32 libc0.1-dev locales libc6-pic libc0.3-udeb libc6-dev-powerpc libc0.1-pic libc6-ppc64 libc0.3-dbg libc0.1-dbg libc6-amd64 libc0.1 libc6-prof libc6-xen libc6-dev-mips64 libc6-powerpc libc6 libc6-sparcv9b libc6.1-udeb libc6.1-dbg nscd libc6-sparc64 libnss-dns-udeb libc6.1 libc6-dev-s390x
Architecture: source amd64 all
Version: 2.7-1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 libc6      - GNU C Library: Shared libraries
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc6-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc6-pic  - GNU C Library: PIC archive library
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 locales-all - GNU C Library: Precompiled locale data
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 229251 442250 442568 443460 443660 444145 444580 445631 447221 447328 447866 447928 448248 448508 448723 448796 448928 449193 449198 451304 451958
Changes: 
 glibc (2.7-1) unstable; urgency=low
 .
   [ Clint Adams ]
   * New upstream release with linuxthreads snapshot.
     - Fixes an ABBA deadlock in ld.so.  Closes: #443460.
     - Render dgettext" thread safe.  Closes: #443660.
     - Fixes CVE-2007-4840 (multiple errors in iconv
       function).  Closes: #442250.
     - Fixes strtod("-0", 0).  Closes: #448723.
     - Remove localedata/locale-de_CH.diff (merged).
     - Update locale/fix-LC_COLLATE-rules.diff.
     - Update locale/LC_COLLATE-keywords-ordering.diff.
     - Update locale/fix-C-first_weekday.diff.
     - Update locale/preprocessor-collate.diff.
     - Update localedata/locales-fr.diff.
     - Remove localedata/locale-sa_IN.diff (merged).
     - Remove localedata/locale-wo_SN.diff (merged).
     - Update localedata/tailor-iso14651_t1.diff.
     - Add localedata/tailor-iso14651_t1-common.diff.
     - Remove localedata/fix-unknown-symbols.diff (merged).
     - Update localedata/first_weekday.diff.
     - Add localedata/cs_CZ-first_weekday.diff.
     - Add localedata/da_DK-first_weekday.diff.
     - Add localedata/pl_PL-first_weekday.diff.
     - Add localedata/de_DE-first_weekday.diff.
     - Add localedata/en_GB-first_weekday.diff.
     - Add localedata/en_US-first_weekday.diff.
     - Add localedata/et_EE-first_weekday.diff.
     - Add localedata/fr_BE-first_weekday.diff.
     - Add localedata/fr_CA-first_weekday.diff.
     - Add localedata/fr_CH-first_weekday.diff.
     - Add localedata/fr_FR-first_weekday.diff.
     - Add localedata/fr_LU-first_weekday.diff.
     - Add localedata/hu_HU-first_weekday.diff.
     - Add localedata/nb_NO-first_weekday.diff.
     - Add localedata/nn_NO-first_weekday.diff.
     - Add localedata/sk_SK-first_weekday.diff.
     - Add localedata/cy_GB-first_weekday.diff.
     - Update localedata/sort-UTF8-first.diff.
     - Remove localedata/submitted-as_IN.diff (merged).
     - Remove hppa/submitted-multiple-threads.diff (merged).
     - Remove hppa/submitted-ustat.diff (merged).
     - Remove hurd-i386/cvs-sigsuspend-nocancel.diff (merged).
     - Remove hurd-i386/cvs-lock-intern.diff (merged).
     - Remove sparc/local-undefined-registers.diff (obsolete).
     - Remove all/local-pt_BR.diff (merged).
     - Remove any/cvs-ld_library_path.diff (merged).
     - Remove any/cvs-initfini.diff (merged).
     - Remove any/cvs-posix-glob.diff (merged).
     - Update any/local-bashisms.diff.
     - Remove any/local-forward-backward-collation.diff (merged).
     - Remove any/local-version-sanity.diff (merged).
     - Remove any/submitted-strtok.diff (merged).
     - Remove any/submitted-regex-collate.diff (merged).
     - Remove localedata/locale-no_NO.diff (obsolete).
     - Update localedata/supported.diff.
   * Bump shlib version to 2.7-1.
   * Add localedata/cvs-locale-ig_NG.diff BZ#5224, missing collation symbols
     for ig_NG.
   * Add localedata/cvs-locale-lo_LA.diff BZ#5237, missing collation symbols
     for lo_LA.
   * Add localedata/cvs-locale-ug_CN.diff BZ#5238, missing collation symbols
     for ug_CN.
 .
   [ Aurelien Jarno ]
   * any/submitted-longdouble.diff: update.
   * Improve any/submitted-rfc3484-sortv4.diff.
   * Update hurd-i386/submitted-trivial.diff.
   * any/local-strfry.diff: new patch to fix strfry(), as Ulrich Drepper
     has still not managed to commit a correct version.
   * Remove hppa/submitted-threaddb.diff (merged).
   * Update hppa/submitted-nptl-carlos.diff.
   * Update hurd-i386/submitted-libc_once.diff.
   * Remove hurd-i386/cvs-ioctl-delay.diff (merged).
   * Update hurd-i386/local-tls-support.diff.
   * Add hurd-i386/cvs-kernel-features.diff: provide almost empty
     kernel-features.h for files that include it.
   * Add arm/local-args6.diff: provide DOCARGS_6 and UNDOCARGS_5 for
     arm old-abi.
   * Add arm/local-lowlevellock.diff: new patch to fix build on arm.
   * debian/rules, debian/rules.d/build.mk: allow per architecture
     TIMEOUTFACTOR.
   * sysdeps/arm.mk, sysdeps/armel.mk, sysdeps/hppa.mk, sysdeps/s390.mk,
     sysdeps/sh4.mk: define TIMEOUTFACTOR.
   * locales-depver: tighten locales dependencies.
   * any/local-disable-test-tgmath2.diff: new patch to disable test-tgmath2,
     which take too much resources during compilation.
   * Add hurd-i386/submitted-strtoul.diff: new patch to use
     __strtoul_internal() instead of strtoul() in internal functions.
   * Add hurd-i386/submitted-ptr-mangle.diff: new patch to define PTR_MANGLE
     and PTR_DEMANGLE.
   * Update Galician debconf translation, by Jacobo Tarrio.  Closes: #447928.
   * Update Dutch debconf translation, by Bart Cornelis.  Closes: #448928.
   * Add sh4/local-fpscr_values.diff and any/local-allocalim-header.diff
     from Arthur Loiret.  Closes: #448248.
   * Fix encoding of Japanese translation.  Closes: #447221.
   * Add any/submitted-sched_h.diff: new patch to define `__CPU_ALLOC_SIZE.
   * Add mips/local-setjmp.diff: new patch to fix g++ tests on mips/mipsel.
   * Add any/local-fhs-nscd.diff: move nscd directory to /var/cache/nscd from
     /var/db/nscd.  Closes: #449198.
   * debhelper.in/nscd.postrm: remove /var/cache/nscd on purge.  Closes:
     #449193.
   * script.in/kernelcheck.sh, sysdeps/alpha.mk: bump minimum kernel version to
     2.6.9 for alpha.
   * script.in/kernelcheck.sh, sysdeps/sh4.mk: bump minimum kernel version to
     2.6.11 for sh4.
   * debian/patches/arm/local-eabi-wchar.diff: new patch from Riku Voipio to
     fiw WCHAR_MIN and WCHAR_MAX definitions on armel.  Closes: #444580.
   * debian/po/zh_CN.po: update from LI Daobing. Closes: #447866.
   * debhelper.in/locales-all.postinst: trap exit signal and remove temporary
     directory.  Closes: #447328.
   * debhelper.in/libc.NEWS: mention that the tzconfig script has been replaced
     by the maintainer scripts of tzdata.  Closes: bug#448796.
   * patches/all/local-alias-et_EE.diff: switch estonian locales alias to
     ISO-8859-15.
   * patches/alpha/submitted-fpu-round.diff: restore the old version of
     ceil/floor/rint functions.  Closes: #442568.
   * patches/alpha/local-dl-procinfo.diff: new patch to add platform
     capabilities support on alpha.
   * Add an ev67 flavour on alpha:  Closes: #229251
     - control.in/opt: add libc6-alphaev67 packages.
     - sysdeps/alpha.mk: add a new pass for ev67 flavour.
   * debian/local/manpages/iconv.1: document //translit and //ignore
     options.  Closes: #451304.
   * debian/local/manpages/getent.1: document exit codes.  Closes:
     #445631.
   * debian/local/manpages/ld.so.8: document $ORIGIN, $PLATFORM and $LIB
     features.  Closes: #444145.
   * local/manpages/ldconfig.8: remove --force option from the manpage
     to be consistent with the binary.  Closes: #451958.
   * kfreebsd/local-sysdeps.diff: update to revision 2046 (from glibc-bsd).
 .
   [ Petr Salinger]
   * any/local-stdio-lock.diff: make _IO_*_lock linuxthreads compliant.
   * any/local-o_cloexec.diff: don't assume O_CLOEXEC is always defined.
   * any/local-linuxthreads-signals.diff: always use non-RT signal handler
     on GNU/kFreeBSD.
 .
   [ Pierre Habouzit ]
   * Remove any/local-iconv-fix-trampoline.diff (obsolete).
   * Remove any/submitted-strfry.diff (merged).
   * Update any/submitted-rfc3484-sortv4.diff.
   * Update localedata/*first_weekday.diff.
   * Remove localedata/fix-am_ET.diff (obsolete).
   * Add locale/preprocessor-collate-uli-sucks.diff to revert Ulrich's
     preprocessor that isn't enough for Debian.
   * Update patches/locale/preprocessor-collate.diff.
   * Add alpha/submitted-PTR_MANGLE.diff (Closes: #448508).
 .
   [ Samuel Thibault ]
   * hurd-i386/submitted-ptr-mangle.diff: Define PTR_MANGLE for assembly.
   * hurd-i386/cvs-O_CLOEXEC_fix.diff: New patch to fix conflicting O_CLOEXEC
     value.
Files: 
 2da108b23dcf1238aa3974eda87541fb 2072 libs required glibc_2.7-1.dsc
 8816fbab13a072c0ccef6640c9d20833 15386750 libs required glibc_2.7.orig.tar.gz
 f074fde7a2422ddb2d3c6eaab35b846f 670811 libs required glibc_2.7-1.diff.gz
 da0dd582f8c6cd74c56b4ec58b199b8f 1622856 doc optional glibc-doc_2.7-1_all.deb
 9f325fb30f9e9d176c37b8d89fa017c6 4483688 libs standard locales_2.7-1_all.deb
 86b9606c1de00db22982de06d90c2bbd 4983920 libs required libc6_2.7-1_amd64.deb
 296c806e92fd258bed0b88ddcbde09e4 2528488 libdevel optional libc6-dev_2.7-1_amd64.deb
 7aeaf2f2efb9677b4bbd452c49280f14 1960276 libdevel extra libc6-prof_2.7-1_amd64.deb
 078ce49695f08cce1d7b8e027bb332e3 1480310 libdevel optional libc6-pic_2.7-1_amd64.deb
 70cb9b1506e1e894d41e9e1b125a1acc 2749352 libs extra locales-all_2.7-1_amd64.deb
 5a5d4b0160735376014cf810931afd2c 3725380 libs optional libc6-i386_2.7-1_amd64.deb
 8607fd5a60d84e71779f9cd8aa284820 1429206 libdevel optional libc6-dev-i386_2.7-1_amd64.deb
 2b7847be9f0725ac7834ff06db5aeeee 169338 admin optional nscd_2.7-1_amd64.deb
 eb6a157d58bf4bf0155b5cdbe5070574 5315918 libdevel extra libc6-dbg_2.7-1_amd64.deb
 0d366bd2fd7922d9075f3d37d1923453 1129122 debian-installer extra libc6-udeb_2.7-1_amd64.udeb
 cf81903a9090e7ec4a6b3f561ae30fa1 9742 debian-installer extra libnss-dns-udeb_2.7-1_amd64.udeb
 d2a243f08779bd2a42c49aea46f99fc5 18018 debian-installer extra libnss-files-udeb_2.7-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHRtadw3ao2vG823MRAjaNAJ0cPB0tgraAXi50Qqj3gHD7uJ8azwCfcywY
l48xWDP5yOEk+CC2r3c8+Wc=
=hVjC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 Dec 2007 07:31:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:46:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.